summaryrefslogtreecommitdiffstats
path: root/source/a/bzip2/bzip2.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2011-04-25 13:37:00 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:45:18 +0200
commit75a4a592e5ccda30715f93563d741b83e0dcf39e (patch)
tree502f745607e77a2c4386ad38d818ddcafe81489c /source/a/bzip2/bzip2.SlackBuild
parentb76270bf9e6dd375e495fec92140a79a79415d27 (diff)
downloadcurrent-75a4a592e5ccda30715f93563d741b83e0dcf39e.tar.gz
current-75a4a592e5ccda30715f93563d741b83e0dcf39e.tar.xz
Slackware 13.37slackware-13.37
Mon Apr 25 13:37:00 UTC 2011 Slackware 13.37 x86_64 stable is released! Thanks to everyone who pitched in on this release: the Slackware team, the folks producing upstream code, and linuxquestions.org for providing a great forum for collaboration and testing. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. As always, thanks to the Slackware community for testing, suggestions, and feedback. :-) Have fun!
Diffstat (limited to 'source/a/bzip2/bzip2.SlackBuild')
-rwxr-xr-xsource/a/bzip2/bzip2.SlackBuild28
1 files changed, 19 insertions, 9 deletions
diff --git a/source/a/bzip2/bzip2.SlackBuild b/source/a/bzip2/bzip2.SlackBuild
index 465f75e07..46b1b1ef9 100755
--- a/source/a/bzip2/bzip2.SlackBuild
+++ b/source/a/bzip2/bzip2.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2005-2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2005-2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,11 +20,21 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=1.0.5
-SOLIB=1.0.4
-ARCH=${ARCH:-x86_64}
+PKGNAM=bzip2
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+SOLIB=1.0.6
BUILD=${BUILD:-1}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-bzip2
@@ -40,13 +50,13 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf bzip2-$VERSION
-tar xzvf $CWD/bzip2-$VERSION.tar.gz
-cd bzip2-$VERSION
+tar xzvf $CWD/bzip2-$VERSION.tar.gz || exit 1
+cd bzip2-$VERSION || exit 1
chown -R root:root .
# This should be ok, since libbz2.so.1.0 will still exist.
-zcat $CWD/bzip2-1.0.4.saneso.diff.gz | patch -p1 || exit
+zcat $CWD/bzip2.saneso.diff.gz | patch -p1 || exit
make -f Makefile-libbz2_so || exit 1
-make || exit 1
+make -j3 || make || exit 1
mkdir -p $PKG/usr/include
cp -a bzlib.h $PKG/usr/include
chown root:root $PKG/usr/include/bzlib.h
@@ -64,7 +74,7 @@ mkdir -p $PKG/usr/man/man1
cat bzip2.1 | gzip -9c > $PKG/usr/man/man1/bzip2.1.gz
echo '.so man1/bzip2.1' | gzip -9c > $PKG/usr/man/man1/bzip2recover.1.gz
mkdir -p $PKG/usr/doc/bzip2-$VERSION
-cp -a CHANGES LICENSE README README.COMPILATION.PROBLEMS Y2K_INFO \
+cp -a CHANGES LICENSE README* \
bzip2.txt *.html $PKG/usr/doc/bzip2-$VERSION
chmod 644 $PKG/usr/doc/bzip2-$VERSION/*
# Link up them links